<?php

namespace Planaday\Utility\Debug\Checking\Checks;

use Planaday\Config\Payment\PaymentSettings;
use Planaday\Utility\Debug\Checking\Check;
use Planaday\Utility\Debug\Checking\CheckResultTypes;

class PaymentActiveCheck implements Check {
	protected bool $paymentActive;

	public function __construct(PaymentSettings $options) {
		$this->paymentActive = $options->isPaymentActive();
	}

	public function check( ?string &$checkMessage ): string {
		if ($this->paymentActive){
			$checkMessage = 'Betalingen zijn actief. Je kunt gebruikers vooraf laten betalen middels iDeal';
			return CheckResultTypes::SUCCESS;
		} else {
			$checkMessage = 'Betalingen via iDeal zijn niet geactiveerd. Als je dit wil, activeer deze dan bij instellingen';
			return CheckResultTypes::INFO;
		}
	}
}